#ifndef MARS_MSrcPosCorrect
#define MARS_MSrcPosCorrect

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MSrcPosCam;

class MSrcPosCorrect : public MTask
{
private:
    MSrcPosCam   *fSrcPosCam;
    MSrcPosCam   *fSrcPosAnti;
    MSrcPosCam   *fAxis;

    UShort_t fRunType;            //! Run Type to decide where to get pointing position from
    UInt_t   fRunNumber;

    // MTask
    Bool_t ReInit(MParList *pList);
    Int_t  PreProcess(MParList *pList);
    Int_t  Process();

public:
    MSrcPosCorrect(const char *name=NULL, const char *title=NULL);

    ClassDef(MSrcPosCorrect, 0) // Corrects MSrcPOsCam for missfocussing
};

#endif
